Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.naming
Class AbstractAccessControlNameCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
                      com.puppycrawl.tools.checkstyle.checks.naming.AbstractNameCheck
                          com.puppycrawl.tools.checkstyle.checks.naming.AbstractAccessControlNameCheck

All Implemented Interfaces:
  Configurable, Contextualizable

Direct Known Subclasses:
  ConstantNameCheck, MemberNameCheck, MethodNameCheck, StaticVariableNameCheck, TypeNameCheck

    public abstract class AbstractAccessControlNameCheck

extends AbstractNameCheck

Abstract class for checking a class member (field/method)'s name conforms to a format specified by the format property.

This class extends `AbstractNameCheck` with support for access level restrictions. This allows the check to be configured to be applied to one of the four Java access levels: `public`, `protected`, `"package"`, and `private`.

Level is configured using the following properties:

1. applyToPublic, default true;
2. applyToProtected, default true;
3. applyToPackage, default true;
4. applyToPrivate, default true;

Version:
  1.0
Author:
  Rick Giles

Constructor Summary
`AbstractAccessControlNameCheck(String aFormat)` Creates a new `AbstractAccessControlNameCheck` instance.

Method Summary
`boolean` | `getApplyToPackage()`
`boolean` | `getApplyToPrivate()`
`boolean` | `getApplyToProtected()`
`boolean` | `getApplyToPublic()`
`protected boolean` | `mustCheckName(DetailAST aAST)` Decides whether the name of an AST should be checked against the format regexp.
`void` | `setApplyToPackage(boolean aApplyTo)` Sets whether we should apply the check to package-private members.
`void` | `setApplyToPrivate(boolean aApplyTo)` Sets whether we should apply the check to private members.
`void` | `setApplyToProtected(boolean aApplyTo)` Sets whether we should apply the check to protected members.
`void` | `setApplyToPublic(boolean aApplyTo)` Sets whether we should apply the check to public members.
`protected boolean` | `shouldCheckInScope(DetailAST aModifiers)` Should we check member with given modifiers.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.naming.AbstractNameCheck
`visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
`getFormat, getRegexp, setCompileFlags, setFormat`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getDefaultTokens, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAccessControlNameCheck

    public AbstractAccessControlNameCheck(String aFormat)

  Creates a new `AbstractAccessControlNameCheck` instance.

  Parameters:
    `aFormat` - format to check with

Method Detail

### mustCheckName

    protected boolean mustCheckName(DetailAST aAST)

  Description copied from class: `AbstractNameCheck`
  Decides whether the name of an AST should be checked against the format regexp.

  Overrides:
    `mustCheckName` in class `AbstractNameCheck`
  Parameters:
    `aAST` - the AST to check.
  Returns:
    true if the IDENT subnode of aAST should be checked against the format regexp.

### shouldCheckInScope

    protected boolean shouldCheckInScope(DetailAST aModifiers)

  Should we check member with given modifiers.

  Parameters:
    `aModifiers` - modifiers of member to check.
  Returns:
    true if we should check such member.

### setApplyToPublic

    public void setApplyToPublic(boolean aApplyTo)

  Sets whether we should apply the check to public members.

  Parameters:
    `aApplyTo` - new value of the property.

### getApplyToPublic

    public boolean getApplyToPublic()

  Returns:
    true if the check should be applied to public members.

### setApplyToProtected

    public void setApplyToProtected(boolean aApplyTo)

  Sets whether we should apply the check to protected members.

  Parameters:
    `aApplyTo` - new value of the property.

### getApplyToProtected

    public boolean getApplyToProtected()

  Returns:
    true if the check should be applied to protected members.

### setApplyToPackage

    public void setApplyToPackage(boolean aApplyTo)

  Sets whether we should apply the check to package-private members.

  Parameters:
    `aApplyTo` - new value of the property.

### getApplyToPackage

    public boolean getApplyToPackage()

  Returns:
    true if the check should be applied to package-private members.

### setApplyToPrivate

    public void setApplyToPrivate(boolean aApplyTo)

  Sets whether we should apply the check to private members.

  Parameters:
    `aApplyTo` - new value of the property.

### getApplyToPrivate

    public boolean getApplyToPrivate()

  Returns:
    true if the check should be applied to private members.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.